Bug 433877 - pirut crashes after install - unable to create Glade XML object
Summary: pirut crashes after install - unable to create Glade XML object
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 8
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-21 22:01 UTC by James Vasser
Modified: 2008-05-28 19:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 19:36:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Vasser 2008-02-21 22:01:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
I chose several items to remove from my installation.  When I returned to the server this an unhandled exception error was displayed. 

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes


Steps to Reproduce:
1. Selected several packages to remove from Add / Remove Software
2. Waited for dependencies to be confirmed
3. Left server while it was processing the changes

Actual Results:
Found an Unhandled Exception error.  The Add / Remove window had disappeared.

Expected Results:
Process should have finished with "Add / Remove Complete" message.

Additional info:
Component: pirut
Summary: TB933f1c56 DetailsDialog.py:38:__init__:RuntimeError: could not create GladeXML object

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 382, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/DetailsDialog.py", line 38, in __init__
RuntimeError: could not create GladeXML object

Local variables in innermost frame:
parent: <gtk.Window object at 0x88cc824 (GtkWindow at 0x89538e0)>
text: Software installation and removal successfully completed.
self: <pirut.DetailsDialog.PirutDetailsDialog instance at 0xab2f06c>
buttons: [('gtk-ok', 0)]
type: <enum GTK_MESSAGE_INFO of type GtkMessageType>
secondary: None

Comment 1 Jeremy Katz 2008-02-22 15:41:01 UTC
What's the output of 'rpm -V pirut'?

Comment 2 James Vasser 2008-02-22 17:41:29 UTC
What am I supposed to see?  I run the command and it returns to the command prompt.

Comment 3 Richard Wallen 2008-03-07 04:02:26 UTC
I received the same error after attempting to change out Gnome for KDE:
Component: pirut
Summary: TB933f1c56 DetailsDialog.py:38:__init__:RuntimeError: could not 
create GladeXML object

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 382, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/DetailsDialog.py", line 38, in 
__init__
RuntimeError: could not create GladeXML object

Local variables in innermost frame:
parent: <gtk.Window object at 0x102c320 (GtkWindow at 0x111f1e0)>
text: Software installation and removal successfully completed.
self: <pirut.DetailsDialog.PirutDetailsDialog instance at 0x123416c8>
buttons: [('gtk-ok', 0)]
type: <enum GTK_MESSAGE_INFO of type GtkMessageType>
secondary: None


Comment 4 Jeremy Katz 2008-05-28 19:36:56 UTC
This should be fixed with the next version of pirut


Note You need to log in before you can comment on or make changes to this bug.